Flux Immersive Essentials Bundle

Binaural Encoder, Multichannel Limiter, Surround Reverb Plugins

Sale ends in:
  • 00

    Days

  • 00

    Hours

  • 00

    Mins

  • 00

    Secs

  • Regular price $239.00
    Digital Product - Delivered via Email.
    More Info
AAX Native - Compatible with Pro Tools 11 and above
AudioUnits Format VST2 Format
Free iLok account required, USB dongle optional
MacOS Logo
Windows Logo

The Immersive:: Essentials plugin bundle provides three powerful processing tools for immersive mixing and content production, including support for Dolby Atmos workflows, meeting the requirements of a new exciting era in audio production – The Immersive Audio Revolution.


This bundle includes:

  • Elixir Essential
  • Ircam Hear
  • Ircam Verb

Elixir Essential

Elixir Essential is based around the same ultra-transparent algorithm as the legacy Elixir v3, meticulously designed to achieve a true natural sounding result preserving the natural timbre of the audio material, used by recording and mastering engineers for almost a decade now. Supporting up to 16 channels, conforming with the ITU-R and EBU loudness norms, makes Elixir Essential an indispensable tool for immersive audio productions including Dolby Atmos.


Ircam Hear

Ircam Hear provides faithful reproduction of a stereo mix or a full surround mix with up to ten channels, supporting Dolby Atmos, with a pair of conventional stereo headphones. It relies on proven technology to model the various phenomena that occur when playing back audio material through a loudspeaker system.


Ircam Verb

Halfway between reverberation and a spatialization engine – The state-of-the-art in room acoustics simulation and reverberation, be it a simple Quad, an Ambisonics, or a Dolby Atmos deliverable, IRCAM Verb brings together multichannel reverberation with spatialization to create realistic acoustic environments for your mix soundscape!


System Requirements

  • MacOS 10.11 El Capitan and above
  • Windows 7 and above (64-bit only)
  • Free iLok account and iLok License Manager
  • A graphic card fully supporting OpenGL 2.0 is required

Plugin Formats

AAX Native, AU, VST2 (all 64-bit only)